## org.apache.batik.dom.svg
Class SVGOMAnimatedMarkerOrientValue

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGAnimatedValue
          org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue

All Implemented Interfaces:
  AnimatedLiveAttributeValue, LiveAttributeValue

    public class SVGOMAnimatedMarkerOrientValue

extends AbstractSVGAnimatedValue

A class that handles an `SVGAnimatedAngle` and an `SVGAnimatedEnumeration` for the 'marker' element's 'orient' attribute.

Nested Class Summary
`protected class` `SVGOMAnimatedMarkerOrientValue.AnimatedAngle` The `SVGAnimatedAngle` component of the marker orient value.
`protected class` `SVGOMAnimatedMarkerOrientValue.AnimatedEnumeration` The `SVGAnimatedEnumeration` component of the marker orient value.
`protected class` `SVGOMAnimatedMarkerOrientValue.AnimSVGAngle` This class represents the SVGAngle returned by `SVGOMAnimatedMarkerOrientValue.AnimatedAngle.getAnimVal()`.
`protected class` `SVGOMAnimatedMarkerOrientValue.BaseSVGAngle` This class represents the SVGAngle returned by `SVGOMAnimatedMarkerOrientValue.AnimatedAngle.getBaseVal()`.

Field Summary
`protected SVGOMAnimatedMarkerOrientValue.AnimSVGAngle` `animAngleVal` The current animated angle value.
`protected SVGOMAnimatedMarkerOrientValue.AnimatedAngle` `animatedAngle` The SVGAnimatedAngle.
`protected SVGOMAnimatedMarkerOrientValue.AnimatedEnumeration` `animatedEnumeration` The SVGAnimatedEnumeration.
`protected short` `animEnumerationVal` The current animated enumeration value.
`protected SVGOMAnimatedMarkerOrientValue.BaseSVGAngle` `baseAngleVal` The current base angle value.
`protected short` `baseEnumerationVal` The current base enumeration value.
`protected boolean` `changing` Whether the value is changing.
`protected boolean` `valid` Whether the base value is valid.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`element, hasAnimVal, listeners, localName, namespaceURI`

Constructor Summary
`SVGOMAnimatedMarkerOrientValue(AbstractElement elt, java.lang.String ns, java.lang.String ln)` Creates a new SVGOMAnimatedMarkerOrientValue.

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`org.w3c.dom.svg.SVGAnimatedAngle` `getAnimatedAngle()` Returns the `SVGAnimatedAngle` component of the orient value.
`org.w3c.dom.svg.SVGAnimatedEnumeration` `getAnimatedEnumeration()` Returns the `SVGAnimatedEnumeration` component of the orient value.
`AnimatableValue` `getUnderlyingValue(AnimationTarget target)` Returns the base value of the attribute as an `AnimatableValue`.
`void` `resetAnimatedValue()` Resets the animated value.
`void` `setAnimatedValueToAngle(short unitType, float value)` Sets the animated value to the given angle.
`void` `setAnimatedValueToAuto()` Sets the animated value to the "auto" value.
`protected void` `updateAnimatedValue(AnimatableValue val)` Updates the animated value with the given `AnimatableValue`.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`addAnimatedAttributeListener, fireAnimatedAttributeListeners, fireBaseAttributeListeners, getLocalName, getNamespaceURI, isSpecified, removeAnimatedAttributeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### valid

    protected boolean valid

  Whether the base value is valid.

### animatedAngle

    protected SVGOMAnimatedMarkerOrientValue.AnimatedAngle animatedAngle

  The SVGAnimatedAngle.

### animatedEnumeration

    protected SVGOMAnimatedMarkerOrientValue.AnimatedEnumeration animatedEnumeration

  The SVGAnimatedEnumeration.

### baseAngleVal

    protected SVGOMAnimatedMarkerOrientValue.BaseSVGAngle baseAngleVal

  The current base angle value.

### baseEnumerationVal

    protected short baseEnumerationVal

  The current base enumeration value.

### animAngleVal

    protected SVGOMAnimatedMarkerOrientValue.AnimSVGAngle animAngleVal

  The current animated angle value.

### animEnumerationVal

    protected short animEnumerationVal

  The current animated enumeration value.

### changing

    protected boolean changing

  Whether the value is changing.

Constructor Detail

### SVGOMAnimatedMarkerOrientValue

    public SVGOMAnimatedMarkerOrientValue(AbstractElement elt,
                                          java.lang.String ns,
                                          java.lang.String ln)

  Creates a new SVGOMAnimatedMarkerOrientValue.

  Parameters:
    `elt` - The associated element.
    `ns` - The attribute's namespace URI.
    `ln` - The attribute's local name.

Method Detail

### updateAnimatedValue

    protected void updateAnimatedValue(AnimatableValue val)

  Updates the animated value with the given `AnimatableValue`.

  Specified by:
    `updateAnimatedValue` in class `AbstractSVGAnimatedValue`

### getUnderlyingValue

    public AnimatableValue getUnderlyingValue(AnimationTarget target)

  Returns the base value of the attribute as an `AnimatableValue`.

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

### setAnimatedValueToAngle

    public void setAnimatedValueToAngle(short unitType,
                                        float value)

  Sets the animated value to the given angle.

### setAnimatedValueToAuto

    public void setAnimatedValueToAuto()

  Sets the animated value to the "auto" value.

### resetAnimatedValue

    public void resetAnimatedValue()

  Resets the animated value.

### getAnimatedAngle

    public org.w3c.dom.svg.SVGAnimatedAngle getAnimatedAngle()

  Returns the `SVGAnimatedAngle` component of the orient value.

### getAnimatedEnumeration

    public org.w3c.dom.svg.SVGAnimatedEnumeration getAnimatedEnumeration()

  Returns the `SVGAnimatedEnumeration` component of the orient value.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.